He4 := module()
	option package;
  description "He4 equation of state from ab-initio calculations";
	local T, p;

	export rho, vol, w, cp, cv, gamma, w_gk, nu, k, temp_K;

  (* local	libHe4;*)

(* USE He4.so for LINUX and He4.dll for WINDOWS *)
(* libHe4 := "He4.so"; *)

rho := define_external('he4_rho', LIB=libHe4, 
			 'T'::REF(float[8]),
			 'p'::REF(float[8]), RETURN::(float[8]));

vol := define_external('he4_vol', LIB=libHe4, 
			 'T'::REF(float[8]),
			 'p'::REF(float[8]), RETURN::(float[8]));

w		 := define_external('he4_w', LIB=libHe4, 
			 'T'::REF(float[8]),
			 'p'::REF(float[8]), RETURN::(float[8]));

cp	 := define_external('he4_cp', LIB=libHe4, 
			 'T'::REF(float[8]),
			 'p'::REF(float[8]), RETURN::(float[8]));

cv	 := define_external('he4_cv', LIB=libHe4, 
			 'T'::REF(float[8]),
			 'p'::REF(float[8]), RETURN::(float[8]));

gamma := define_external('he4_gamma', LIB=libHe4, 
			 'T'::REF(float[8]),
			 'p'::REF(float[8]), RETURN::(float[8]));

w_gk := define_external('he4_w_gk', LIB=libHe4, 
			 'T'::REF(float[8]),
			 'p'::REF(float[8]), RETURN::(float[8]));

nu	 := define_external('he4_nu', LIB=libHe4, 
			 'T'::REF(float[8]),
			 'p'::REF(float[8]), RETURN::(float[8]));

k		 := define_external('he4_k', LIB=libHe4, 
			 'T'::REF(float[8]),
			 'p'::REF(float[8]), RETURN::(float[8]));

temp_K := define_external('temp_K', LIB=libHe4,
  		 'W2ratio'::REF(float[8]),
			 'p0'::REF(float[8]),
			 'Tref'::REF(float[8]), 
			 'Pref'::REF(float[8]),  
				RETURN::(float[8]));

end module:

